# gdcm::Exception Class Reference

Exception. More...

`#include <gdcmException.h>`

Inheritance diagram for gdcm::Exception:
[legend]
Collaboration diagram for gdcm::Exception:
[legend]

List of all members.

## Public Member Functions
| Exception (const char *desc="None", const char *file=__FILE__, unsigned int lineNumber=__LINE__, const char *loc="")
virtual | ~Exception () throw ()
const char * | GetDescription () const
| Return the Description.
Exception & | operator= (const Exception &orig)
virtual bool | operator== (const Exception &orig)
const char * | what () const throw ()
| what implementation

## Detailed Description

Exception.

Standard exception handling object.

## Constructor & Destructor Documentation

gdcm::Exception::Exception | ( | const char * | desc = `"None"`,
|  | const char * | file = `__FILE__`,
|  | unsigned int | lineNumber = `__LINE__`,
|  | const char * | loc = `""` |
| ) |  |  | `[inline]`

virtual gdcm::Exception::~Exception | ( |  | ) | throw ()`[inline, virtual]`

## Member Function Documentation

const char* gdcm::Exception::GetDescription | ( |  | ) | const`[inline]`

Return the Description.

Referenced by gdcm::SequenceOfItems::Read().

Exception& gdcm::Exception::operator= | ( | const Exception & | orig | ) | `[inline]`

Assignment operator.

virtual bool gdcm::Exception::operator== | ( | const Exception & | orig | ) | `[inline, virtual]`

Equivalence operator.

const char* gdcm::Exception::what | ( |  | ) | const throw ()`[inline]`

what implementation

Referenced by gdcm::SequenceOfFragments::Read().

The documentation for this class was generated from the following file:

- gdcmException.h